Subject: bug#47896: 27.2; TRAMP hang/lockup/fault on compile/file access

From: dag <[email-masked]>
Date: Wed, 21 Apr 2021 12:38:55 -0500

On 2021-04-21 09:22, Michael Albinus <[email-masked]> wrote: > Yes, the escape sequences. You can check the environment variable > INSIDE_EMACS on the remote host. If Tramp is involved, it tells you there. Hmm. ssh can't always pass environment variables because the remote admin may have disabled it, so INSIDE_EMACS isn't always reliable. Is testing for TERM == "dumb" sufficient? I will have to see whether my current provided allows me to pass INSIDE_EMACS. > > Also, I don't see TRAMP ever hanging on "Waiting for prompt..." it is > > always after that. > Same here, I haven't seen this in the Tramp. But the command ping/pong > between Tramp and the remote host shows some strange entries ... Ok, definitely worth at least ruling out. David